Summary:       A minimalistic user-space library oriented to Netlink developers
Name:          libmnl
Version:       1.0.5
Release:       4%{?dist}
License:       LGPLv2+
URL:           http://netfilter.org/projects/libmnl
Source0:       http://netfilter.org/projects/libmnl/files/%{name}-%{version}.tar.bz2

BuildRequires: gcc make

%description
libmnl is a minimalistic user-space library oriented to Netlink developers. 
There are a lot of common tasks in parsing, validating, constructing of both 
the Netlink header and TLVs that are repetitive and easy to get wrong. 

%package       devel
Summary:       Development files for %{name}
Requires:      %{name} = %{version}-%{release}

%package       static
Summary:       Static development files for %{name}
Requires:      %{name} = %{version}-%{release}

%description    devel
The libmnl-devel package contains libraries and header files for developing applications that use libmnl.

%description 	static
The libmnl-static package contains static libraries for devleoping applications that use libmnl.

%prep
%setup -q

%build
%configure --enable-static
%make_build

%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -delete
find examples '(' -name 'Makefile.am' -o -name 'Makefile.in' ')' -delete
find examples -type d -name '.deps' -prune -exec rm -rf {} ';'

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING
%doc README
%{_libdir}/*.so.*

%files devel
%doc examples
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%files static
%{_libdir}/*.a

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.5-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 18 2022 jackbertluo <jackbertluo@tencent.com> - 1.0.5-1
- Initial build
